Qt 5.6 | Qt 3D | C++ Classes | QRenderAspect

Qt 5.6.3 Reference Documentation

# QRenderAspect Class

(Qt3DRender::QRenderAspect)

Inherits: | Qt3DCore::QAbstractAspect

- List of all members, including inherited members

## Public Types

enum | RenderType { Synchronous, Threaded }

## Public Functions

| QRenderAspect(QObject *parent = Q_NULLPTR)
| QRenderAspect(RenderType type, QObject *parent = Q_NULLPTR)
void | renderInitialize(QOpenGLContext *context)
void | renderShutdown()
void | renderSynchronous()

## Reimplemented Public Functions

virtual QVector<Qt3DCore::QAspectJobPtr> | jobsToExecute(qint64 time)

## Protected Functions

| QRenderAspect(QRenderAspectPrivate &dd, QObject *parent)
QVector<Qt3DCore::QAspectJobPtr> | createGeometryRendererJobs()
QVector<Qt3DCore::QAspectJobPtr> | createRenderBufferJobs()
void | onRootEntityChanged(Qt3DCore::QEntity *rootObject)
void | registerBackendTypes()

## Reimplemented Protected Functions

virtual void | onCleanup()
virtual void | onInitialize(const QVariantMap &data)

- 2 protected functions inherited from Qt3DCore::QAbstractAspect

## Member Type Documentation

### enum QRenderAspect::RenderType

## Member Function Documentation

### QRenderAspect::QRenderAspect(QObject *parent = Q_NULLPTR)

Default constructs an instance of QRenderAspect.

### QRenderAspect::QRenderAspect(RenderType type, QObject *parent = Q_NULLPTR)

Default constructs an instance of QRenderAspect.

### `[protected]` QRenderAspect::QRenderAspect(QRenderAspectPrivate &dd, QObject *parent)

Copy constructor.

### `[protected]` QVector<Qt3DCore::QAspectJobPtr> QRenderAspect::createGeometryRendererJobs()

### `[protected]` QVector<Qt3DCore::QAspectJobPtr> QRenderAspect::createRenderBufferJobs()

### `[virtual]` QVector<Qt3DCore::QAspectJobPtr> QRenderAspect::jobsToExecute(qint64 time)

### `[virtual protected]` void QRenderAspect::onCleanup()

### `[virtual protected]` void QRenderAspect::onInitialize(const QVariantMap &data)

### `[protected]` void QRenderAspect::onRootEntityChanged(Qt3DCore::QEntity *rootObject)

### `[protected]` void QRenderAspect::registerBackendTypes()

### void QRenderAspect::renderInitialize(QOpenGLContext *context)

### void QRenderAspect::renderShutdown()

### void QRenderAspect::renderSynchronous()